return require('packer').startup(function(use)
    -- Packer can manage itself
    use 'wbthomason/packer.nvim'

    -- Colorschemes
    use 'sainnhe/everforest'
    use 'sainnhe/gruvbox-material'

    -- Fuzzy finder
    use {
        'nvim-telescope/telescope.nvim', tag = '0.1.0',
        requires = { {'nvim-lua/plenary.nvim'} }
    }

    -- Treesitter for better highlighting
    use {
        'nvim-treesitter/nvim-treesitter',
        run = ':TSUpdate'
    }

    -- Git
    use 'tpope/vim-fugitive'

    -- lazy commenting
    use 'tpope/vim-commentary'

    -- Indendation guides
    use 'lukas-reineke/indent-blankline.nvim'

    -- LSP

    -- Autocomplete
    use 'neovim/nvim-lspconfig'
    use {
        'hrsh7th/nvim-cmp',
        requires = {
            {'hrsh7th/cmp-nvim-lsp'},
            {'hrsh7th/cmp-buffer'},
            {'hrsh7th/cmp-path'},
            {'hrsh7th/cmp-cmdline'},
            {'L3MON4D3/LuaSnip',
            requires = {
                {'rafamadriz/friendly-snippets'}
            }
        },
        {'saadparwaiz1/cmp_luasnip'},
    }
}

end)

